/*
 *  lol_io_test.cpp
 *  
 *  LOL++, implementation of LOLCODE-like language on top of C++
 *  Copyright (C) 2008-2009 Yusdi Saliman
 *
 *  This file contains a simple unit test program to test I/O functions
 *
 *  LOL++ is free software. It comes without any warranty, to
 *  the extent permitted by applicable law. You can redistribute it
 *  and/or modify it under the terms of the Do What The Fuck You Want
 *  To Public License, Version 2, as published by Sam Hocevar. See
 *  http://sam.zoy.org/wtfpl/COPYING for more details.
 */

#include "lol_io.h"
#include "lol_operator.h"

#include <iostream>
#include <cassert>
using namespace std;

int main()
{
    __lol_visible("Hello World!");
    __lol_visible("Tab:: :>1:>2:>3");
    __lol_visible("New line:: :)Here's a new line");
    __lol_visible("No new line:: ", false);
    __lol_visible("Continues from previous line.");
    __lol_visible((__LolData) "String "&"concatenation "&"without "&"SMOOSH");
    __lol_visible("Input text:: ", false);
    __LolData lol;
    __lol_gimmeh(lol);
    __lol_visible(__lol_smoosh("You said ", lol));
    return 0;
}
