/*
 *  lol_flowctrl.h
 *  
 *  LOL++, implementation of LOLCODE-like language on top of C++
 *  Copyright (C) 2008-2009 Yusdi Saliman
 *
 *  This file contains the declaration of functions related to flow control.
 *
 *  LOL++ is free software. It comes without any warranty, to
 *  the extent permitted by applicable law. You can redistribute it
 *  and/or modify it under the terms of the Do What The Fuck You Want
 *  To Public License, Version 2, as published by Sam Hocevar. See
 *  http://sam.zoy.org/wtfpl/COPYING for more details.
 */

#ifndef LOL_FLOWCTRL_H
#define LOL_FLOWCTRL_H

#include "lol_types.h"

#define __lol_orly() (__lol_it().toBool())

void __lol_initLoop();

bool __lol_uppin(__LolData& lol);

bool __lol_nerfin(__LolData& lol);

#endif
