#include "lol++.h"
BTW(
    LOL++, implementation of LOLCODE-like language on top of C++
    Written by Yusdi Saliman
    
    This file is a LOL++ program to test various LOL++ language features.
    Besides #include "lol++.h" at the beginning of the file, this source code
    is written entirely in LOL++; there is no pure C++ code in this file.
    
    There is of course differences in syntax between LOL++ and LOLCODE, but
    the current LOL++ implementation is made to closely resemble the syntax in
    LOLCODE specification version 1.2.

    LOL++ is free software. It comes without any warranty, to
    the extent permitted by applicable law. You can redistribute it
    and/or modify it under the terms of the Do What The Fuck You Want
    To Public License, Version 2, as published by Sam Hocevar. See
    http://sam.zoy.org/wtfpl/COPYING for more details.
)

I HAS A ERR_NUMBER;     BTW(This error number is added so that it's easier to
                            identify which assertion fails)

BTW(A function to do assertion)
HOW DUZ I ASSERT (UR CONDITION AN UR ERR_MSG)
LIEK DIZ
    ERR_NUMBER R SUM OF ERR_NUMBER AN 1 _;
    NOT CONDITION _;
    O RLY
        YA RLY
            VISIBLE ERR_MSG XD _;
            VISIBLE " Error Number: " & ERR_NUMBER _;
    OIC
IF U SAY SO

BTW(Test variable declaration and assignment)
HOW DUZ I TEST_VARIABLE ()
LIEK DIZ
    I HAS A ERROR_MSG ITZ "Variable test fail!";
    ERR_NUMBER R 0;

    I HAS A VAR1 ITZ 10;

    ASSERT(BOTH SAEM VAR1 AN 10 MKAY AN ERROR_MSG);
    
    VAR1 R "string";
    ASSERT(BOTH SAEM VAR1 AN "string" MKAY AN ERROR_MSG);
    VAR1 R 7.5;
    ASSERT(BOTH SAEM VAR1 AN 7.5 MKAY AN ERROR_MSG);
    VAR1 R WIN;
    ASSERT(VAR1 AN ERROR_MSG);
IF U SAY SO

BTW(Test various operations)
HOW DUZ I TEST_OPERATORS ()
LIEK DIZ
    I HAS A ERROR_MSG ITZ "Operator test fail!";
    ERR_NUMBER R 0;
    
    I HAS A VAR1 ITZ SUM OF 10 AN 20 _;
    ASSERT(BOTH SAEM VAR1 AN 30 MKAY AN ERROR_MSG);
    
    I HAS A VAR2 ITZ 15;
    VAR1 R DIFF OF VAR1 AN VAR2 _;
    ASSERT(BOTH SAEM VAR1 AN 15 MKAY AN ERROR_MSG);
    
    VAR2 R PRODUKT OF VAR1 AN 10 _;
    ASSERT(BOTH SAEM VAR2 AN 150 MKAY AN ERROR_MSG);
    
    VAR2 R QUOSHUNT OF VAR1 AN 2.0 _;
    ASSERT(BOTH SAEM VAR2 AN 7.5 MKAY AN ERROR_MSG);
    
    VAR2 R MOD OF VAR1 AN 8 _;
    ASSERT(BOTH SAEM VAR2 AN 7 MKAY AN ERROR_MSG);
    
    VAR2 R BIGGR OF VAR1 AN VAR2 _;
    ASSERT(BOTH SAEM VAR1 AN VAR2 MKAY AN ERROR_MSG);
    
    VAR2 R SMALLR OF VAR1 AN 1 _;
    ASSERT(BOTH SAEM VAR2 AN 1 MKAY AN ERROR_MSG);
    
    VAR1 R BOTH OF WIN AN WIN _;
    ASSERT(VAR1 AN ERROR_MSG);
    
    VAR2 R EITHER OF VAR1 AN FAIL _;
    ASSERT(VAR2 AN ERROR_MSG);
    
    VAR2 R WON OF VAR1 AN WIN _;
    ASSERT(NOT VAR2 MKAY AN ERROR_MSG);
    
    VAR2 R NOT VAR1 _;
    ASSERT(NOT VAR2 MKAY AN ERROR_MSG);
    
    VAR2 R ALL OF VAR1 AN WIN AN FAIL MKAY;
    ASSERT(NOT VAR2 MKAY AN ERROR_MSG);
    
    VAR2 R ANY OF VAR1 AN WIN AN FAIL MKAY;
    ASSERT(VAR2 AN ERROR_MSG);
    
    VAR2 R BOTH SAEM VAR1 AN WIN _;
    ASSERT(VAR2 AN ERROR_MSG);
    
    VAR2 R DIFFRINT VAR1 AN WIN _;
    ASSERT(NOT VAR2 MKAY AN ERROR_MSG);
    
    VAR2 R SMOOSH "Test " AN 1 AN " " AN VAR1 _;
    ASSERT(BOTH SAEM VAR2 AN "Test 1 WIN" MKAY AN ERROR_MSG);
    
    VAR1 R 10.1;
    VAR1 R MAEK VAR1 TEH NUMBR _;
    ASSERT(BOTH SAEM VAR1 AN 10 MKAY AN ERROR_MSG);
    VAR1 IS NOW A TROOF _;
    ASSERT(BOTH SAEM VAR1 AN WIN MKAY AN ERROR_MSG);
IF U SAY SO

BTW(Test conditional statements)
HOW DUZ I TEST_CONDITIONAL ()
LIEK DIZ
    I HAS A ERROR_MSG ITZ "Conditional statement test fail!";
    ERR_NUMBER R 0;
    
    I HAS A VAR1 ITZ 10;
    I HAS A VAR2 ITZ 5;
    I HAS A VAR3;
    
    BTW(If VAR1 > VAR2)
    BOTH SAEM VAR1 AN BIGGR OF VAR1 AN SUM OF VAR2 AN 1 MKAY MKAY MKAY;
    O RLY
        YA RLY
            VAR3 R 1;
        MEBBE(BOTH SAEM VAR1 AN VAR2 _)
            VAR3 R 2;
        NO WAI
            VAR3 R 3;
    OIC
    
    ASSERT(BOTH SAEM VAR3 AN 1 MKAY AN ERROR_MSG);
    
    VAR2 R VAR1;
    
    BTW(If VAR1 > VAR2)
    BOTH SAEM VAR1 AN BIGGR OF VAR1 AN SUM OF VAR2 AN 1 MKAY MKAY MKAY;
    O RLY
        YA RLY
            VAR3 R 1;
        MEBBE(BOTH SAEM VAR1 AN VAR2 _)
            VAR3 R 2;
        NO WAI
            VAR3 R 3;
    OIC
    
    ASSERT(BOTH SAEM VAR3 AN 2 MKAY AN ERROR_MSG);
    
    VAR2 R SUM OF VAR1 AN 1 _;
    
    BTW(If VAR1 > VAR2)
    BOTH SAEM VAR1 AN BIGGR OF VAR1 AN SUM OF VAR2 AN 1 MKAY MKAY MKAY;
    O RLY
        YA RLY
            VAR3 R 1;
        MEBBE(BOTH SAEM VAR1 AN VAR2 _)
            VAR3 R 2;
        NO WAI
            VAR3 R 3;
    OIC
    
    ASSERT(BOTH SAEM VAR3 AN 3 MKAY AN ERROR_MSG);
    
    BTW(Note: - WTF in LOL++ can only be used on integer value
              - Using a single variable as an expression won't set the value
                of IT, so we have to explicitly set IT)
    ZOMG ITZ VAR3; WTF
        OMG 1:
            VAR1 R 10;
            GTFO;
        OMG 2:
            VAR1 R 20;
            GTFO;
        OMG 3:
            VAR1 R 30;
            GTFO;
        OMGWTF:
            VAR1 R 40;
    OIC
    
    ASSERT(BOTH SAEM VAR1 AN 30 MKAY AN ERROR_MSG);
IF U SAY SO

BTW(Test loop)
HOW DUZ I TEST_LOOP ()
LIEK DIZ
    I HAS A ERROR_MSG ITZ "Loop test fail!";
    ERR_NUMBER R 0;
    
    I HAS A COUNTER ITZ 0;
    I HAS A VAR1 ITZ 0;
    IM IN YR LOOP UPPIN COUNTER TIL(BOTH SAEM COUNTER AN 10 _)
        VAR1 R SUM OF VAR1 AN 2 _;
    IM OUTTA YR LOOP
    
    ASSERT(BOTH SAEM VAR1 AN 20 MKAY AN ERROR_MSG);
    
    VAR1 R 0;
    IM IN YR LOOP NERFIN COUNTER WILE(DIFFRINT COUNTER AN 0 _)
        VAR1 R SUM OF VAR1 AN 1 _;
    IM OUTTA YR LOOP
    
    ASSERT(BOTH SAEM VAR1 AN 10 MKAY AN ERROR_MSG);
    
    BTW(nested loop)
    I HAS A COUNTER2 ITZ 0;
    VAR1 R 0;
    IM IN YR LOOP UPPIN COUNTER TIL(BOTH SAEM COUNTER AN 4 _)
        IM IN YR LOOP UPPIN COUNTER2 TIL(BOTH SAEM COUNTER2 AN COUNTER _)
            VAR1 R SUM OF VAR1 AN 1 _;
        IM OUTTA YR LOOP
    IM OUTTA YR LOOP
    
    ASSERT(BOTH SAEM VAR1 AN 3 MKAY AN ERROR_MSG);
    
    BTW(infinite loop)
    VAR1 R 0;
    IM IN YR LOOP FOREVAR
        VAR1 R SUM OF VAR1 AN 1 _;
        BOTH SAEM VAR1 AN 5 _;
        O RLY
            YA RLY
                GTFO;
        OIC
    IM OUTTA YR LOOP
    
    ASSERT(BOTH SAEM VAR1 AN 5 MKAY AN ERROR_MSG);
IF U SAY SO

BTW(Test LOL++ extension)
HOW DUZ I TEST_EXTENSION ()
LIEK DIZ
    I HAS A ERROR_MSG ITZ "LOL++ extension test fail!";
    ERR_NUMBER R 0;
    
    BTW(Array test)
    I HAS A ARRAY;
    ARRAY[1] = 10;
    ARRAY[3] = "test";
    ASSERT(BOTH SAEM ARRAY LENGTH AN 3 MKAY AN ERROR_MSG);
    ASSERT(BOTH SAEM ARRAY[1] AN 10 MKAY AN ERROR_MSG);
    ASSERT(NOT ARRAY[2] MKAY AN ERROR_MSG);
    ASSERT(BOTH SAEM ARRAY[3] AN "test" MKAY AN ERROR_MSG);
IF U SAY SO

BTW(A function that explicitly returns a value)
HOW DUZ I FACTORIAL (UR NUM)
LIEK DIZ
    BOTH SAEM NUM AN 0 _;
    O RLY
        YA RLY
            FOUND YR 1;
        NO WAI
            FOUND YR PRODUKT OF NUM AN FACTORIAL (DIFF OF NUM AN 1 _) _;
    OIC
IF U SAY SO

BTW(Return NOOB using GTFO)
HOW DUZ I GETNOOB ()
LIEK DIZ
    GTFO;
IF U SAY SO

BTW(Return IT if neither FOUND nor GTFO is encountered)
HOW DUZ I ADD( UR NUM1 AN UR NUM2 )
LIEK DIZ
    SUM OF NUM1 AN NUM2 _;
IF U SAY SO

BTW(Test functions...)
HOW DUZ I TEST_FUNCTION()
LIEK DIZ
    I HAS A ERROR_MSG ITZ "Function test fail!";
    ERR_NUMBER R 0;
    
    ASSERT(BOTH SAEM FACTORIAL(5) AN 120 MKAY AN ERROR_MSG);
    
    BTW(NOOB is cast to FAIL)
    ASSERT(NOT GETNOOB() MKAY AN ERROR_MSG);
    
    VISIBLE "You should see \"NOOB\" printed:: " XD _;
    VISIBLE GETNOOB() _;
    
    ASSERT(BOTH SAEM ADD(1 AN 2) AN 3 MKAY AN ERROR_MSG);
IF U SAY SO

BTW(Can has stdio?)
HOW DUZ I TEST_IO()
LIEK DIZ
    VISIBLE "I CAN HAS CHEEZBURGER?" _;
    VISIBLE "Tab:: :>1:>2:>3" _;
    VISIBLE "New line:: :)Here's a new line" _;
    VISIBLE "No new line:: " XD _;  BTW(In LOL++, XD is used instead of !)
    VISIBLE "Continues from previous line." _;
    VISIBLE "Input text:: " XD _;
    I HAS A INPUT;
    GIMMEH INPUT _;
    VISIBLE "You said " & INPUT _;
IF U SAY SO

BTW(Unlike in LOLCODE, HAI in LOL++ indicates main function, not the start of
    the whole program)
HAI
    TEST_VARIABLE();
    TEST_OPERATORS();
    TEST_CONDITIONAL();
    TEST_LOOP();
    TEST_FUNCTION();
    TEST_IO();
    TEST_EXTENSION();
    VISIBLE "All tests finished." _;
KTHXBYE
